/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { Base, String_$type, markType } from "./type";
import { Dictionary$2 } from "./Dictionary$2";
import { WebTileDescription } from "./WebTileDescription";
import { WebTileChangeStateEventArgsDescription } from "./WebTileChangeStateEventArgsDescription";
import { WebTileChangeStateEventArgsDetailDescription } from "./WebTileChangeStateEventArgsDetailDescription";
import { WebTileComponentEventArgsDescription } from "./WebTileComponentEventArgsDescription";
/**
 * @hidden
 */
export let WebTileDescriptionMetadata = /*@__PURE__*/ (() => {
    class WebTileDescriptionMetadata extends Base {
        static b(a) {
            if (WebTileDescriptionMetadata.a == null) {
                WebTileDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                WebTileDescriptionMetadata.c(WebTileDescriptionMetadata.a);
            }
            if (a.k(WebTileDescriptionMetadata.a)) {
                return;
            }
            a.ac(WebTileDescriptionMetadata.a);
            WebTileChangeStateEventArgsDescriptionMetadata.d(a);
            WebTileComponentEventArgsDescriptionMetadata.d(a);
        }
        static c(a) {
            a.item("__qualifiedNameTS", "String:Tile");
            a.item("__tagNameWC", "String:igc-tile");
            a.item("__skipModuleRegisterWebComponents", "Boolean");
            a.item("__importTypesWebComponents", "String:igniteui-webcomponents");
            a.item("ColSpan", "Number:double");
            a.item("RowSpan", "Number:double");
            a.item("ColStart", "Number:double");
            a.item("RowStart", "Number:double");
            a.item("Maximized", "Boolean");
            a.item("DisableResize", "Boolean");
            a.item("DisableFullscreen", "Boolean");
            a.item("DisableMaximize", "Boolean");
            a.item("Position", "Number:double");
            a.item("TileFullscreenRef", "EventRef::tileFullscreen");
            a.item("TileMaximizeRef", "EventRef::tileMaximize");
            a.item("TileDragStartRef", "EventRef::tileDragStart");
            a.item("TileDragEndRef", "EventRef::tileDragEnd");
            a.item("TileDragCancelRef", "EventRef::tileDragCancel");
            a.item("TileResizeStartRef", "EventRef::tileResizeStart");
            a.item("TileResizeEndRef", "EventRef::tileResizeEnd");
            a.item("TileResizeCancelRef", "EventRef::tileResizeCancel");
        }
        static d(a) {
            WebTileDescriptionMetadata.b(a);
            a.ae("WebTile", () => new WebTileDescription());
            a.ad("WebTile", WebTileDescriptionMetadata.a);
        }
    }
    WebTileDescriptionMetadata.$t = /*@__PURE__*/ markType(WebTileDescriptionMetadata, 'WebTileDescriptionMetadata');
    WebTileDescriptionMetadata.a = null;
    return WebTileDescriptionMetadata;
})();
/**
 * @hidden
 */
export let WebTileChangeStateEventArgsDescriptionMetadata = /*@__PURE__*/ (() => {
    class WebTileChangeStateEventArgsDescriptionMetadata extends Base {
        static b(a) {
            if (WebTileChangeStateEventArgsDescriptionMetadata.a == null) {
                WebTileChangeStateEventArgsDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                WebTileChangeStateEventArgsDescriptionMetadata.c(WebTileChangeStateEventArgsDescriptionMetadata.a);
            }
            if (a.k(WebTileChangeStateEventArgsDescriptionMetadata.a)) {
                return;
            }
            a.ac(WebTileChangeStateEventArgsDescriptionMetadata.a);
            WebTileChangeStateEventArgsDetailDescriptionMetadata.d(a);
        }
        static c(a) {
            a.item("__qualifiedNameTS", "String:TileChangeStateEventArgs");
            a.item("__skipModuleRegisterWebComponents", "Boolean");
            a.item("__importTypesWebComponents", "String:igniteui-webcomponents");
            a.item("__marshalByValue", "Boolean");
            a.item("Detail", "ExportedType:WebTileChangeStateEventArgsDetail");
        }
        static d(a) {
            WebTileChangeStateEventArgsDescriptionMetadata.b(a);
            a.ae("WebTileChangeStateEventArgs", () => new WebTileChangeStateEventArgsDescription());
            a.ad("WebTileChangeStateEventArgs", WebTileChangeStateEventArgsDescriptionMetadata.a);
        }
    }
    WebTileChangeStateEventArgsDescriptionMetadata.$t = /*@__PURE__*/ markType(WebTileChangeStateEventArgsDescriptionMetadata, 'WebTileChangeStateEventArgsDescriptionMetadata');
    WebTileChangeStateEventArgsDescriptionMetadata.a = null;
    return WebTileChangeStateEventArgsDescriptionMetadata;
})();
/**
 * @hidden
 */
export let WebTileChangeStateEventArgsDetailDescriptionMetadata = /*@__PURE__*/ (() => {
    class WebTileChangeStateEventArgsDetailDescriptionMetadata extends Base {
        static b(a) {
            if (WebTileChangeStateEventArgsDetailDescriptionMetadata.a == null) {
                WebTileChangeStateEventArgsDetailDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                WebTileChangeStateEventArgsDetailDescriptionMetadata.c(WebTileChangeStateEventArgsDetailDescriptionMetadata.a);
            }
            if (a.k(WebTileChangeStateEventArgsDetailDescriptionMetadata.a)) {
                return;
            }
            a.ac(WebTileChangeStateEventArgsDetailDescriptionMetadata.a);
            WebTileDescriptionMetadata.d(a);
        }
        static c(a) {
            a.item("__qualifiedNameTS", "String:TileChangeStateEventArgsDetail");
            a.item("__skipModuleRegisterWebComponents", "Boolean");
            a.item("__importTypesWebComponents", "String:igniteui-webcomponents");
            a.item("__marshalByValue", "Boolean");
            a.item("__skipSuffix", "Boolean");
            a.item("Tile", "ExportedType:WebTile");
            a.item("State", "Boolean");
        }
        static d(a) {
            WebTileChangeStateEventArgsDetailDescriptionMetadata.b(a);
            a.ae("WebTileChangeStateEventArgsDetail", () => new WebTileChangeStateEventArgsDetailDescription());
            a.ad("WebTileChangeStateEventArgsDetail", WebTileChangeStateEventArgsDetailDescriptionMetadata.a);
        }
    }
    WebTileChangeStateEventArgsDetailDescriptionMetadata.$t = /*@__PURE__*/ markType(WebTileChangeStateEventArgsDetailDescriptionMetadata, 'WebTileChangeStateEventArgsDetailDescriptionMetadata');
    WebTileChangeStateEventArgsDetailDescriptionMetadata.a = null;
    return WebTileChangeStateEventArgsDetailDescriptionMetadata;
})();
/**
 * @hidden
 */
export let WebTileComponentEventArgsDescriptionMetadata = /*@__PURE__*/ (() => {
    class WebTileComponentEventArgsDescriptionMetadata extends Base {
        static b(a) {
            if (WebTileComponentEventArgsDescriptionMetadata.a == null) {
                WebTileComponentEventArgsDescriptionMetadata.a = new Dictionary$2(String_$type, String_$type, 0);
                WebTileComponentEventArgsDescriptionMetadata.c(WebTileComponentEventArgsDescriptionMetadata.a);
            }
            if (a.k(WebTileComponentEventArgsDescriptionMetadata.a)) {
                return;
            }
            a.ac(WebTileComponentEventArgsDescriptionMetadata.a);
            WebTileDescriptionMetadata.d(a);
        }
        static c(a) {
            a.item("__qualifiedNameTS", "String:TileComponentEventArgs");
            a.item("__skipModuleRegisterWebComponents", "Boolean");
            a.item("__importTypesWebComponents", "String:igniteui-webcomponents");
            a.item("__marshalByValue", "Boolean");
            a.item("Detail", "ExportedType:WebTile");
        }
        static d(a) {
            WebTileComponentEventArgsDescriptionMetadata.b(a);
            a.ae("WebTileComponentEventArgs", () => new WebTileComponentEventArgsDescription());
            a.ad("WebTileComponentEventArgs", WebTileComponentEventArgsDescriptionMetadata.a);
        }
    }
    WebTileComponentEventArgsDescriptionMetadata.$t = /*@__PURE__*/ markType(WebTileComponentEventArgsDescriptionMetadata, 'WebTileComponentEventArgsDescriptionMetadata');
    WebTileComponentEventArgsDescriptionMetadata.a = null;
    return WebTileComponentEventArgsDescriptionMetadata;
})();
